List dedicated compute instances for a database
curl --request GET \
--url https://global.thenile.dev/workspaces/{workspaceSlug}/databases/{databaseName}/compute \
--header 'Authorization: Bearer <token>'import requests
url = "https://global.thenile.dev/workspaces/{workspaceSlug}/databases/{databaseName}/compute"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://global.thenile.dev/workspaces/{workspaceSlug}/databases/{databaseName}/compute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"instanceId": "<string>",
"database": {
"id": "<string>",
"name": "<string>",
"workspace": {
"name": "<string>",
"slug": "<string>",
"id": "<string>",
"stripe_customer_id": "<string>",
"created": "2023-11-07T05:31:56Z"
},
"expandable": true,
"apiHost": "<string>",
"created": "2023-11-07T05:31:56Z",
"deleted": "2023-11-07T05:31:56Z",
"dbHost": "<string>",
"sharded": true
},
"instanceName": "<string>",
"instanceType": {
"id": "<string>",
"computeSize": "<string>",
"memory": "<string>",
"hourlyCost": 123
},
"desiredInstanceType": {
"id": "<string>",
"computeSize": "<string>",
"memory": "<string>",
"hourlyCost": 123
},
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"deleted": "2023-11-07T05:31:56Z"
}
]{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}databases
List dedicated compute instances for a database
GET
/
workspaces
/
{workspaceSlug}
/
databases
/
{databaseName}
/
compute
List dedicated compute instances for a database
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The start of a time window to search for active instances
The end of a time window to search for active instances
Response
Instance list retrieved.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
PENDING, PROVISIONING, READY, RESIZING, DELETING, FAILED, TERMINATED Was this page helpful?
⌘I